#!/bin/sh

set +v # -- **************************************************************************
set +v # -- Licensed Material - Property of IBM
set +v # -- 5724-M24
set +v # -- (c) Copyright IBM Corp. 2007, 2008.  All rights reserved.
set +v # -- US Government Users Restricted Rights - Use, duplication or
set +v # -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
set +v # -- **************************************************************************
set +v # -- Update the portlets, migrate the preferences for instances portlet
set +v # -- **************************************************************************

scriptName=migrateSettings.sh

if [ "${4}" = "" ]; then 
	echo  ERROR: Missing 1 or more required parameter. Script is invoked as follows:
    echo  Usage: migrateSettings.sh \<WAS_HOME\> \<portal_config_url\> \<portal_admin\> \<portal_pw\> 
	echo  where for example
	echo  \<WAS_HOME\> 	/opt/IBM/WebSphere/Appserver
	echo  \<portal_config_url\> http://localhost:10038/wps/config
	echo  \<portal_admin\> wpsadmin
	echo  \<portal_pw\> yourpassword
	exit
fi

if [ "${1}" != "" ]; then WAS_HOME=$1; fi
echo `date +"%x - %X: "` $scriptName use WAS_HOME=$WAS_HOME 

if [ "${2}" != "" ]; then PORTAL_CONFIG_URL=$2; fi
echo `date +"%x - %X: "` $scriptName use PORTAL_CONFIG_URL=$PORTAL_CONFIG_URL 

if [ "${3}" != "" ]; then ADMIN_USER=$3;  fi
echo `date +"%x - %X: "` $scriptName use ADMIN_USER=$ADMIN_USER 

if [ "${4}" != "" ]; then ADMIN_PASSWORD=$4; fi
echo `date +"%x - %X: "` $scriptName use ADMIN_PASSWORD=$ADMIN_PASSWORD 

CURRENT_DIR=`pwd`
JAVA=$WAS_HOME/java/bin/java
IN_FILE=$CURRENT_DIR/Export.xml
OUT_FILE=$CURRENT_DIR/Export_out.xml
IMPORT_IN_FILE=$CURRENT_DIR/Import_In.xml
IMPORT_OUT_FILE=$CURRENT_DIR/Import_Out.xml
UPDATE_WBI_FILE=$CURRENT_DIR/Update_WBIMon.xml
UPDATE_WBI_LOCALE=$CURRENT_DIR/Update_WBIMon_locale.xml
UPDATE_ABX_FILE=$CURRENT_DIR/Update_ABXPortlet.xml
UPDATE_ABX_LOCALE=$CURRENT_DIR/Update_ABXPortlet_locale.xml

# get a complete export from portal
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $IN_FILE -out $OUT_FILE -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL

# transform the export xml
$JAVA -cp $CURRENT_DIR/dashXmlAccessUtils.jar:$CURRENT_DIR/JSON4J.jar com.ibm.wbimonitor.dashboard.xmlparser.DashboardPrefTransformer $OUT_FILE $IMPORT_IN_FILE

# import the new settings
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $IMPORT_IN_FILE -out $IMPORT_OUT_FILE -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 

# Update the portlets and the locale
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $UPDATE_WBI_FILE -out $IMPORT_OUT_FILE.out -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $UPDATE_WBI_LOCALE -out $IMPORT_OUT_FILE.out -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $UPDATE_ABX_FILE -out $IMPORT_OUT_FILE.out -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 
$JAVA -cp $CURRENT_DIR/../../../bin/wp.xml.client.jar:$CURRENT_DIR/../../../shared/app/wp.base.jar com.ibm.wps.xmlaccess.XmlAccess -in $UPDATE_ABX_LOCALE -out $IMPORT_OUT_FILE.out -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 

